/// <reference types="react" />
import { BoxProps } from '../box/Box';
declare type Size = 'small' | 'medium';
declare type Color = 'aqua' | 'gold' | 'mint' | 'neutral' | 'ruby' | 'teal' | 'violet';
declare type Tint = 'lightest' | 'light' | 'normal' | 'dark' | 'darkest';
export interface LoadingSpinnerProps extends Omit<BoxProps, 'className' | 'size'> {
    /** A class name for the wrapper to add custom classes */
    className?: string;
    /** The color of the components */
    color?: Color;
    /** Size of the component */
    size?: Size;
    /** The tint of the components color */
    tint?: Tint;
}
declare const LoadingSpinner: ({ className, color, size, tint, ...others }: LoadingSpinnerProps) => JSX.Element;
export default LoadingSpinner;
